import { Routes } from "@angular/router";
import { LoginViewComponent } from "./components/login-view/login-view.component";
import { MitarbeiterverwaltungViewComponent } from "./components/mitarbeiterverwaltung-view/mitarbeiterverwaltung-view.component";
import { EmployeeDetailComponent } from "./components/employee-detail/employee-detail.component";
import { QualifikatonBearbeitenViewComponent } from "./components/qualifikaton-bearbeiten-view/qualifikaton-bearbeiten-view.component";
import { MitarbeiterBearbeitenViewComponent } from "./components/mitarbeiter-bearbeiten-view/mitarbeiter-bearbeiten-view.component";
import { AuthGuard } from "./service/auth.service";
import { MitarbeiterErstellenComponent } from "./components/mitarbeiter-erstellen/mitarbeiter-erstellen.component";
import { QualifikationsverwaltungComponent } from "./components/qualifikationsverwaltung/qualifikationsverwaltung.component";
import { QulifikationErstellenComponent } from "./components/qualifikation-erstellen/qualifikation-erstellen.component";

export const routes: Routes = [
  {
    path: "",
    component: LoginViewComponent,
  },
  {
    path: "mitarbeiter",
    component: MitarbeiterverwaltungViewComponent,
    canActivate: [AuthGuard],
  },
  {
    path: "qualifikationerstellen",
    component: QulifikationErstellenComponent,
    canActivate: [AuthGuard],
  },
  {
    path: "mitarbeitererstellen",
    component: MitarbeiterErstellenComponent,
    canActivate: [AuthGuard],
  },
  {
    path: "mitarbeiterbearbeiten/:id",
    component: MitarbeiterBearbeitenViewComponent,
    canActivate: [AuthGuard],
  },
  {
    path: "qualifikationsverwaltung",
    component: QualifikationsverwaltungComponent,
    canActivate: [AuthGuard],
  },
  {
    path: "mitarbeiterdetails/:id",
    component: EmployeeDetailComponent,
    canActivate: [AuthGuard],
  },
  {
    path: "qualifikationbearbeiten/:id",
    component: QualifikatonBearbeitenViewComponent,
    canActivate: [AuthGuard],
  },
  {
    path: "**",
    redirectTo: "",
  },
];
