import { Component } from '@angular/core';
import { QualifikationFormComponent } from '../qualifikation-form/qualifikation-form.component';
import { SkillService } from '../../service/skill.service';
import { FormGroup } from '@angular/forms';
import { QualificationGetDTO } from '../../models/skill';
import { ActivatedRoute } from '@angular/router';

@Component({
  selector: 'app-qualifikaton-bearbeiten-view',
  standalone: true,
  imports: [QualifikationFormComponent],
  templateUrl: './qualifikaton-bearbeiten-view.component.html',
  styleUrl: './qualifikaton-bearbeiten-view.component.css'
})
export class QualifikatonBearbeitenViewComponent {
  public skill!: QualificationGetDTO;

  constructor(private skillService: SkillService, private route: ActivatedRoute) { }

  submitted(skill: QualificationGetDTO) {
    this.skillService.updateSkill(skill);
  }

  ngOnInit(): void {
    this.skill = {
      id: -1,
      skill: '',
    };

    this.skillService.getAllSkills().subscribe(skills => {
      for (const skill of skills) {
        if (skill.id == Number(this.route.snapshot.params['id'])) {
          this.skill = skill;
        }
      }
    });
  }
}
